# -*- coding: utf-8 -*-
# Copyright 2023 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from google.analytics.admin import gapic_version as package_version

__version__ = package_version.__version__


from google.analytics.admin_v1alpha.services.analytics_admin_service.async_client import (
    AnalyticsAdminServiceAsyncClient,
)
from google.analytics.admin_v1alpha.services.analytics_admin_service.client import (
    AnalyticsAdminServiceClient,
)
from google.analytics.admin_v1alpha.types.access_report import (
    AccessBetweenFilter,
    AccessDateRange,
    AccessDimension,
    AccessDimensionHeader,
    AccessDimensionValue,
    AccessFilter,
    AccessFilterExpression,
    AccessFilterExpressionList,
    AccessInListFilter,
    AccessMetric,
    AccessMetricHeader,
    AccessMetricValue,
    AccessNumericFilter,
    AccessOrderBy,
    AccessQuota,
    AccessQuotaStatus,
    AccessRow,
    AccessStringFilter,
    NumericValue,
)
from google.analytics.admin_v1alpha.types.analytics_admin import (
    AcknowledgeUserDataCollectionRequest,
    AcknowledgeUserDataCollectionResponse,
    ApproveDisplayVideo360AdvertiserLinkProposalRequest,
    ApproveDisplayVideo360AdvertiserLinkProposalResponse,
    ArchiveAudienceRequest,
    ArchiveCustomDimensionRequest,
    ArchiveCustomMetricRequest,
    AuditUserLinksRequest,
    AuditUserLinksResponse,
    BatchCreateAccessBindingsRequest,
    BatchCreateAccessBindingsResponse,
    BatchCreateUserLinksRequest,
    BatchCreateUserLinksResponse,
    BatchDeleteAccessBindingsRequest,
    BatchDeleteUserLinksRequest,
    BatchGetAccessBindingsRequest,
    BatchGetAccessBindingsResponse,
    BatchGetUserLinksRequest,
    BatchGetUserLinksResponse,
    BatchUpdateAccessBindingsRequest,
    BatchUpdateAccessBindingsResponse,
    BatchUpdateUserLinksRequest,
    BatchUpdateUserLinksResponse,
    CancelDisplayVideo360AdvertiserLinkProposalRequest,
    CreateAccessBindingRequest,
    CreateAdSenseLinkRequest,
    CreateAudienceRequest,
    CreateChannelGroupRequest,
    CreateConnectedSiteTagRequest,
    CreateConnectedSiteTagResponse,
    CreateConversionEventRequest,
    CreateCustomDimensionRequest,
    CreateCustomMetricRequest,
    CreateDataStreamRequest,
    CreateDisplayVideo360AdvertiserLinkProposalRequest,
    CreateDisplayVideo360AdvertiserLinkRequest,
    CreateEventCreateRuleRequest,
    CreateExpandedDataSetRequest,
    CreateFirebaseLinkRequest,
    CreateGoogleAdsLinkRequest,
    CreateMeasurementProtocolSecretRequest,
    CreatePropertyRequest,
    CreateSearchAds360LinkRequest,
    CreateUserLinkRequest,
    DeleteAccessBindingRequest,
    DeleteAccountRequest,
    DeleteAdSenseLinkRequest,
    DeleteChannelGroupRequest,
    DeleteConnectedSiteTagRequest,
    DeleteConversionEventRequest,
    DeleteDataStreamRequest,
    DeleteDisplayVideo360AdvertiserLinkProposalRequest,
    DeleteDisplayVideo360AdvertiserLinkRequest,
    DeleteEventCreateRuleRequest,
    DeleteExpandedDataSetRequest,
    DeleteFirebaseLinkRequest,
    DeleteGoogleAdsLinkRequest,
    DeleteMeasurementProtocolSecretRequest,
    DeletePropertyRequest,
    DeleteSearchAds360LinkRequest,
    DeleteUserLinkRequest,
    FetchAutomatedGa4ConfigurationOptOutRequest,
    FetchAutomatedGa4ConfigurationOptOutResponse,
    FetchConnectedGa4PropertyRequest,
    FetchConnectedGa4PropertyResponse,
    GetAccessBindingRequest,
    GetAccountRequest,
    GetAdSenseLinkRequest,
    GetAttributionSettingsRequest,
    GetAudienceRequest,
    GetBigQueryLinkRequest,
    GetChannelGroupRequest,
    GetConversionEventRequest,
    GetCustomDimensionRequest,
    GetCustomMetricRequest,
    GetDataRetentionSettingsRequest,
    GetDataSharingSettingsRequest,
    GetDataStreamRequest,
    GetDisplayVideo360AdvertiserLinkProposalRequest,
    GetDisplayVideo360AdvertiserLinkRequest,
    GetEnhancedMeasurementSettingsRequest,
    GetEventCreateRuleRequest,
    GetExpandedDataSetRequest,
    GetGlobalSiteTagRequest,
    GetGoogleSignalsSettingsRequest,
    GetMeasurementProtocolSecretRequest,
    GetPropertyRequest,
    GetSearchAds360LinkRequest,
    GetUserLinkRequest,
    ListAccessBindingsRequest,
    ListAccessBindingsResponse,
    ListAccountsRequest,
    ListAccountsResponse,
    ListAccountSummariesRequest,
    ListAccountSummariesResponse,
    ListAdSenseLinksRequest,
    ListAdSenseLinksResponse,
    ListAudiencesRequest,
    ListAudiencesResponse,
    ListBigQueryLinksRequest,
    ListBigQueryLinksResponse,
    ListChannelGroupsRequest,
    ListChannelGroupsResponse,
    ListConnectedSiteTagsRequest,
    ListConnectedSiteTagsResponse,
    ListConversionEventsRequest,
    ListConversionEventsResponse,
    ListCustomDimensionsRequest,
    ListCustomDimensionsResponse,
    ListCustomMetricsRequest,
    ListCustomMetricsResponse,
    ListDataStreamsRequest,
    ListDataStreamsResponse,
    ListDisplayVideo360AdvertiserLinkProposalsRequest,
    ListDisplayVideo360AdvertiserLinkProposalsResponse,
    ListDisplayVideo360AdvertiserLinksRequest,
    ListDisplayVideo360AdvertiserLinksResponse,
    ListEventCreateRulesRequest,
    ListEventCreateRulesResponse,
    ListExpandedDataSetsRequest,
    ListExpandedDataSetsResponse,
    ListFirebaseLinksRequest,
    ListFirebaseLinksResponse,
    ListGoogleAdsLinksRequest,
    ListGoogleAdsLinksResponse,
    ListMeasurementProtocolSecretsRequest,
    ListMeasurementProtocolSecretsResponse,
    ListPropertiesRequest,
    ListPropertiesResponse,
    ListSearchAds360LinksRequest,
    ListSearchAds360LinksResponse,
    ListUserLinksRequest,
    ListUserLinksResponse,
    ProvisionAccountTicketRequest,
    ProvisionAccountTicketResponse,
    RunAccessReportRequest,
    RunAccessReportResponse,
    SearchChangeHistoryEventsRequest,
    SearchChangeHistoryEventsResponse,
    SetAutomatedGa4ConfigurationOptOutRequest,
    SetAutomatedGa4ConfigurationOptOutResponse,
    UpdateAccessBindingRequest,
    UpdateAccountRequest,
    UpdateAttributionSettingsRequest,
    UpdateAudienceRequest,
    UpdateChannelGroupRequest,
    UpdateCustomDimensionRequest,
    UpdateCustomMetricRequest,
    UpdateDataRetentionSettingsRequest,
    UpdateDataStreamRequest,
    UpdateDisplayVideo360AdvertiserLinkRequest,
    UpdateEnhancedMeasurementSettingsRequest,
    UpdateEventCreateRuleRequest,
    UpdateExpandedDataSetRequest,
    UpdateGoogleAdsLinkRequest,
    UpdateGoogleSignalsSettingsRequest,
    UpdateMeasurementProtocolSecretRequest,
    UpdatePropertyRequest,
    UpdateSearchAds360LinkRequest,
    UpdateUserLinkRequest,
)
from google.analytics.admin_v1alpha.types.audience import (
    Audience,
    AudienceDimensionOrMetricFilter,
    AudienceEventFilter,
    AudienceEventTrigger,
    AudienceFilterClause,
    AudienceFilterExpression,
    AudienceFilterExpressionList,
    AudienceFilterScope,
    AudienceSequenceFilter,
    AudienceSimpleFilter,
)
from google.analytics.admin_v1alpha.types.channel_group import (
    ChannelGroup,
    ChannelGroupFilter,
    ChannelGroupFilterExpression,
    ChannelGroupFilterExpressionList,
    GroupingRule,
)
from google.analytics.admin_v1alpha.types.event_create_and_edit import (
    EventCreateRule,
    MatchingCondition,
    ParameterMutation,
)
from google.analytics.admin_v1alpha.types.expanded_data_set import (
    ExpandedDataSet,
    ExpandedDataSetFilter,
    ExpandedDataSetFilterExpression,
    ExpandedDataSetFilterExpressionList,
)
from google.analytics.admin_v1alpha.types.resources import (
    AccessBinding,
    Account,
    AccountSummary,
    ActionType,
    ActorType,
    AdSenseLink,
    AttributionSettings,
    AuditUserLink,
    BigQueryLink,
    ChangeHistoryChange,
    ChangeHistoryEvent,
    ChangeHistoryResourceType,
    ConnectedSiteTag,
    ConversionEvent,
    CustomDimension,
    CustomMetric,
    DataRetentionSettings,
    DataSharingSettings,
    DataStream,
    DisplayVideo360AdvertiserLink,
    DisplayVideo360AdvertiserLinkProposal,
    EnhancedMeasurementSettings,
    FirebaseLink,
    GlobalSiteTag,
    GoogleAdsLink,
    GoogleSignalsConsent,
    GoogleSignalsSettings,
    GoogleSignalsState,
    IndustryCategory,
    LinkProposalInitiatingProduct,
    LinkProposalState,
    LinkProposalStatusDetails,
    MeasurementProtocolSecret,
    Property,
    PropertySummary,
    PropertyType,
    SearchAds360Link,
    ServiceLevel,
    UserLink,
)

__all__ = (
    "AnalyticsAdminServiceClient",
    "AnalyticsAdminServiceAsyncClient",
    "AccessBetweenFilter",
    "AccessDateRange",
    "AccessDimension",
    "AccessDimensionHeader",
    "AccessDimensionValue",
    "AccessFilter",
    "AccessFilterExpression",
    "AccessFilterExpressionList",
    "AccessInListFilter",
    "AccessMetric",
    "AccessMetricHeader",
    "AccessMetricValue",
    "AccessNumericFilter",
    "AccessOrderBy",
    "AccessQuota",
    "AccessQuotaStatus",
    "AccessRow",
    "AccessStringFilter",
    "NumericValue",
    "AcknowledgeUserDataCollectionRequest",
    "AcknowledgeUserDataCollectionResponse",
    "ApproveDisplayVideo360AdvertiserLinkProposalRequest",
    "ApproveDisplayVideo360AdvertiserLinkProposalResponse",
    "ArchiveAudienceRequest",
    "ArchiveCustomDimensionRequest",
    "ArchiveCustomMetricRequest",
    "AuditUserLinksRequest",
    "AuditUserLinksResponse",
    "BatchCreateAccessBindingsRequest",
    "BatchCreateAccessBindingsResponse",
    "BatchCreateUserLinksRequest",
    "BatchCreateUserLinksResponse",
    "BatchDeleteAccessBindingsRequest",
    "BatchDeleteUserLinksRequest",
    "BatchGetAccessBindingsRequest",
    "BatchGetAccessBindingsResponse",
    "BatchGetUserLinksRequest",
    "BatchGetUserLinksResponse",
    "BatchUpdateAccessBindingsRequest",
    "BatchUpdateAccessBindingsResponse",
    "BatchUpdateUserLinksRequest",
    "BatchUpdateUserLinksResponse",
    "CancelDisplayVideo360AdvertiserLinkProposalRequest",
    "CreateAccessBindingRequest",
    "CreateAdSenseLinkRequest",
    "CreateAudienceRequest",
    "CreateChannelGroupRequest",
    "CreateConnectedSiteTagRequest",
    "CreateConnectedSiteTagResponse",
    "CreateConversionEventRequest",
    "CreateCustomDimensionRequest",
    "CreateCustomMetricRequest",
    "CreateDataStreamRequest",
    "CreateDisplayVideo360AdvertiserLinkProposalRequest",
    "CreateDisplayVideo360AdvertiserLinkRequest",
    "CreateEventCreateRuleRequest",
    "CreateExpandedDataSetRequest",
    "CreateFirebaseLinkRequest",
    "CreateGoogleAdsLinkRequest",
    "CreateMeasurementProtocolSecretRequest",
    "CreatePropertyRequest",
    "CreateSearchAds360LinkRequest",
    "CreateUserLinkRequest",
    "DeleteAccessBindingRequest",
    "DeleteAccountRequest",
    "DeleteAdSenseLinkRequest",
    "DeleteChannelGroupRequest",
    "DeleteConnectedSiteTagRequest",
    "DeleteConversionEventRequest",
    "DeleteDataStreamRequest",
    "DeleteDisplayVideo360AdvertiserLinkProposalRequest",
    "DeleteDisplayVideo360AdvertiserLinkRequest",
    "DeleteEventCreateRuleRequest",
    "DeleteExpandedDataSetRequest",
    "DeleteFirebaseLinkRequest",
    "DeleteGoogleAdsLinkRequest",
    "DeleteMeasurementProtocolSecretRequest",
    "DeletePropertyRequest",
    "DeleteSearchAds360LinkRequest",
    "DeleteUserLinkRequest",
    "FetchAutomatedGa4ConfigurationOptOutRequest",
    "FetchAutomatedGa4ConfigurationOptOutResponse",
    "FetchConnectedGa4PropertyRequest",
    "FetchConnectedGa4PropertyResponse",
    "GetAccessBindingRequest",
    "GetAccountRequest",
    "GetAdSenseLinkRequest",
    "GetAttributionSettingsRequest",
    "GetAudienceRequest",
    "GetBigQueryLinkRequest",
    "GetChannelGroupRequest",
    "GetConversionEventRequest",
    "GetCustomDimensionRequest",
    "GetCustomMetricRequest",
    "GetDataRetentionSettingsRequest",
    "GetDataSharingSettingsRequest",
    "GetDataStreamRequest",
    "GetDisplayVideo360AdvertiserLinkProposalRequest",
    "GetDisplayVideo360AdvertiserLinkRequest",
    "GetEnhancedMeasurementSettingsRequest",
    "GetEventCreateRuleRequest",
    "GetExpandedDataSetRequest",
    "GetGlobalSiteTagRequest",
    "GetGoogleSignalsSettingsRequest",
    "GetMeasurementProtocolSecretRequest",
    "GetPropertyRequest",
    "GetSearchAds360LinkRequest",
    "GetUserLinkRequest",
    "ListAccessBindingsRequest",
    "ListAccessBindingsResponse",
    "ListAccountsRequest",
    "ListAccountsResponse",
    "ListAccountSummariesRequest",
    "ListAccountSummariesResponse",
    "ListAdSenseLinksRequest",
    "ListAdSenseLinksResponse",
    "ListAudiencesRequest",
    "ListAudiencesResponse",
    "ListBigQueryLinksRequest",
    "ListBigQueryLinksResponse",
    "ListChannelGroupsRequest",
    "ListChannelGroupsResponse",
    "ListConnectedSiteTagsRequest",
    "ListConnectedSiteTagsResponse",
    "ListConversionEventsRequest",
    "ListConversionEventsResponse",
    "ListCustomDimensionsRequest",
    "ListCustomDimensionsResponse",
    "ListCustomMetricsRequest",
    "ListCustomMetricsResponse",
    "ListDataStreamsRequest",
    "ListDataStreamsResponse",
    "ListDisplayVideo360AdvertiserLinkProposalsRequest",
    "ListDisplayVideo360AdvertiserLinkProposalsResponse",
    "ListDisplayVideo360AdvertiserLinksRequest",
    "ListDisplayVideo360AdvertiserLinksResponse",
    "ListEventCreateRulesRequest",
    "ListEventCreateRulesResponse",
    "ListExpandedDataSetsRequest",
    "ListExpandedDataSetsResponse",
    "ListFirebaseLinksRequest",
    "ListFirebaseLinksResponse",
    "ListGoogleAdsLinksRequest",
    "ListGoogleAdsLinksResponse",
    "ListMeasurementProtocolSecretsRequest",
    "ListMeasurementProtocolSecretsResponse",
    "ListPropertiesRequest",
    "ListPropertiesResponse",
    "ListSearchAds360LinksRequest",
    "ListSearchAds360LinksResponse",
    "ListUserLinksRequest",
    "ListUserLinksResponse",
    "ProvisionAccountTicketRequest",
    "ProvisionAccountTicketResponse",
    "RunAccessReportRequest",
    "RunAccessReportResponse",
    "SearchChangeHistoryEventsRequest",
    "SearchChangeHistoryEventsResponse",
    "SetAutomatedGa4ConfigurationOptOutRequest",
    "SetAutomatedGa4ConfigurationOptOutResponse",
    "UpdateAccessBindingRequest",
    "UpdateAccountRequest",
    "UpdateAttributionSettingsRequest",
    "UpdateAudienceRequest",
    "UpdateChannelGroupRequest",
    "UpdateCustomDimensionRequest",
    "UpdateCustomMetricRequest",
    "UpdateDataRetentionSettingsRequest",
    "UpdateDataStreamRequest",
    "UpdateDisplayVideo360AdvertiserLinkRequest",
    "UpdateEnhancedMeasurementSettingsRequest",
    "UpdateEventCreateRuleRequest",
    "UpdateExpandedDataSetRequest",
    "UpdateGoogleAdsLinkRequest",
    "UpdateGoogleSignalsSettingsRequest",
    "UpdateMeasurementProtocolSecretRequest",
    "UpdatePropertyRequest",
    "UpdateSearchAds360LinkRequest",
    "UpdateUserLinkRequest",
    "Audience",
    "AudienceDimensionOrMetricFilter",
    "AudienceEventFilter",
    "AudienceEventTrigger",
    "AudienceFilterClause",
    "AudienceFilterExpression",
    "AudienceFilterExpressionList",
    "AudienceSequenceFilter",
    "AudienceSimpleFilter",
    "AudienceFilterScope",
    "ChannelGroup",
    "ChannelGroupFilter",
    "ChannelGroupFilterExpression",
    "ChannelGroupFilterExpressionList",
    "GroupingRule",
    "EventCreateRule",
    "MatchingCondition",
    "ParameterMutation",
    "ExpandedDataSet",
    "ExpandedDataSetFilter",
    "ExpandedDataSetFilterExpression",
    "ExpandedDataSetFilterExpressionList",
    "AccessBinding",
    "Account",
    "AccountSummary",
    "AdSenseLink",
    "AttributionSettings",
    "AuditUserLink",
    "BigQueryLink",
    "ChangeHistoryChange",
    "ChangeHistoryEvent",
    "ConnectedSiteTag",
    "ConversionEvent",
    "CustomDimension",
    "CustomMetric",
    "DataRetentionSettings",
    "DataSharingSettings",
    "DataStream",
    "DisplayVideo360AdvertiserLink",
    "DisplayVideo360AdvertiserLinkProposal",
    "EnhancedMeasurementSettings",
    "FirebaseLink",
    "GlobalSiteTag",
    "GoogleAdsLink",
    "GoogleSignalsSettings",
    "LinkProposalStatusDetails",
    "MeasurementProtocolSecret",
    "Property",
    "PropertySummary",
    "SearchAds360Link",
    "UserLink",
    "ActionType",
    "ActorType",
    "ChangeHistoryResourceType",
    "GoogleSignalsConsent",
    "GoogleSignalsState",
    "IndustryCategory",
    "LinkProposalInitiatingProduct",
    "LinkProposalState",
    "PropertyType",
    "ServiceLevel",
)
